﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using FAuth.Models;
using FAuth.Extensions;
using Microsoft.Extensions.DependencyInjection;
using api = FAuth.Controllers.api;
using Falcon.Extend;

namespace FAuth.Controllers.web
{
    /// <summary>
    /// 用户控制器
    /// </summary>
    public class UserController:WebControllerBase<UserController>
    {
        public UserController(ILogger<UserController> logger,IServiceProvider service) : base(logger,service) {
        }

        public IActionResult Index() {
            return PartialView();
        }

        public IActionResult Login() {
            return PartialView();
        }

        public IActionResult ResetPassword() {
            return PartialView();
        }
    }
}
